Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024191
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] I. Performanceminoralways2013-06-26 11:062016-09-19 16:27
ReporterjecharriView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revisiondf9155c88ab2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024191: Accounting background process has bad performance

DescriptionAccounting background process has bad performance

With huge quantity of documents to be posted the accounting process can take much time.

More than 24 hours
Steps To Reproduce-
TagsMoved from MP26 to MP27, Performance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00339663.0PR16Q3.2 closeddmiguelez Accounting background process has bad performance 
depends on backport 00339673.0PR16Q2.3 closeddmiguelez Accounting background process has bad performance 
related to feature request 0033650 closedAtulOpenbravo Add columns in AD_Org table to persist data in order to improve performance 
causes defect 0034018 closedmarkmm82 Posting a Purchase Invoice is not possible with "F&B EspaƱa, S.A. - Finanace - F&B International Group" role. NPE is thrown 

-  Notes
(0061356)
jonalegriaesarte (reporter)
2013-09-23 16:38

We implemented several changes that made this process better regarding performance. Next step should be a refactor os some parts of the code. This review is going to be managed as a project. Moving it to Design Defect due to the complexity of the change
(0090021)
hgbot (developer)
2016-09-16 09:24

Repository: erp/devel/pi
Changeset: df9155c88ab2f89b0f79cf3bd183aa730600220c
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Sep 08 16:36:16 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/df9155c88ab2f89b0f79cf3bd183aa730600220c [^]

Fixes Issue 24191. Improves performance for Accounting Background Process.

Adds Index in FIN_FINACC_TRANSACTION Table.
Modifies query in AcctServer_data to properly limit the results returned.
Modifies query in AcctServer_data to remove the order clause.
Persist information about Accounting Schemas in Java code so it is no longer
necessary to access the Database everytime to retrive that information.

---
M src-db/database/model/tables/FIN_FINACC_TRANSACTION.xml
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/erpCommon/ad_forms/AcctSchema.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer_data.xsql
A src/org/openbravo/erpCommon/ad_forms/AcctSchemaStructureProvider.java
---
(0090022)
hgbot (developer)
2016-09-16 09:24

Repository: erp/devel/pi
Changeset: 682415bc0aa9a5022a7c7fbec1442a61a8bc3025
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 13 18:24:02 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/682415bc0aa9a5022a7c7fbec1442a61a8bc3025 [^]

Related to issue 24191: Code review improvements

- Move AcctSchemaStructureProvider.java to same folder as OrganizationStructureProvider.java.
- Rename acctSchemaSP variable to acctSchemaProvider in OBContext.java.
- Remove unused data variable in AcctSchema.java.
- Add commentary to explain why we send limit manually to xsql query in AcctServer.java.
- Do not send numberRegisters parameter to AcctServerData.select as we are already sending the limit.
- Undo changes in AcctServerData.periodOpen method and create new AcctServerData.selectPeriodOpen method to avoid a functional API change.

---
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/erpCommon/ad_forms/AcctSchema.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer_data.xsql
A src/org/openbravo/dal/security/AcctSchemaStructureProvider.java
R src/org/openbravo/erpCommon/ad_forms/AcctSchemaStructureProvider.java
---
(0090024)
aferraz (developer)
2016-09-16 09:26

Code review + Testing OK
(0090069)
hudsonbot (developer)
2016-09-19 16:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/17da7ad0ad62 [^]
Maturity status: Test
(0090070)
hudsonbot (developer)
2016-09-19 16:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/17da7ad0ad62 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-06-26 11:06 jecharri New Issue
2013-06-26 11:06 jecharri Assigned To => AugustoMauch
2013-06-26 11:06 jecharri Modules => Core
2013-06-26 11:06 jecharri Triggers an Emergency Pack => No
2013-06-26 11:07 jecharri Tag Attached: Performance
2013-06-27 18:07 AugustoMauch Assigned To AugustoMauch => dmiguelez
2013-07-29 16:36 jonalegriaesarte Target Version 3.0MP26 => 3.0MP27
2013-07-29 16:36 jonalegriaesarte Tag Attached: Moved from MP26 to MP27
2013-08-19 16:42 jonalegriaesarte Target Version 3.0MP27 => 3.0MP28
2013-09-23 16:38 jonalegriaesarte Note Added: 0061356
2013-09-23 16:38 jonalegriaesarte Type defect => design defect
2013-09-23 16:38 jonalegriaesarte Target Version 3.0MP28 =>
2016-08-08 14:02 dmiguelez Relationship added related to 0033650
2016-09-13 12:52 dmiguelez Status new => scheduled
2016-09-16 09:24 hgbot Checkin
2016-09-16 09:24 hgbot Note Added: 0090021
2016-09-16 09:24 hgbot Status scheduled => resolved
2016-09-16 09:24 hgbot Resolution open => fixed
2016-09-16 09:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/df9155c88ab2f89b0f79cf3bd183aa730600220c [^]
2016-09-16 09:24 hgbot Checkin
2016-09-16 09:24 hgbot Note Added: 0090022
2016-09-16 09:26 aferraz Review Assigned To => aferraz
2016-09-16 09:26 aferraz Note Added: 0090024
2016-09-16 09:26 aferraz Status resolved => closed
2016-09-16 09:26 aferraz Fixed in Version => 3.0PR16Q4
2016-09-19 16:00 aferraz Relationship added causes 0034018
2016-09-19 16:27 hudsonbot Checkin
2016-09-19 16:27 hudsonbot Note Added: 0090069
2016-09-19 16:27 hudsonbot Checkin
2016-09-19 16:27 hudsonbot Note Added: 0090070


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker